function fig = gui_fl_asmsynthesis()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Author Christian Choque Cortez, May 2009.

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure( 'Name','asm Synthesis - 1D','Tag','Fig_gui_fl_asmsynthesis',...
	'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
	'Position',[20 50 380 270]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized','Position',[0.023 0.83 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input', ...
	'Units','normalized','Position',[0.023 0.16 0.96 0.65]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.1 0.84 0.8 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
	'String','Alpha-Stable Processes 1D');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_motion', ...
    'Units','normalized','Position',[0.04 0.72 0.25 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Levy Motion', ...
    'Value',1, ...
    'Callback','fl_asmsynthesis_compute(''motion_option'')');

uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_linfrac', ...
    'Units','normalized','Position',[0.28 0.72 0.32 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Linear Fractional', ...
    'Value',0, ...
    'Callback','fl_asmsynthesis_compute(''linfrac_option'')');

uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_ornhulen', ...
    'Units','normalized','Position',[0.6 0.72 0.37 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Ornstein-Uhlenbeck', ...
    'Value',0, ...
    'Callback','fl_asmsynthesis_compute(''ornhulen_option'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_alpha', ...
	'Units','normalized','Position',[0.05 0.59 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Alpha parameter');

uicontrol('Parent',a,'Style','slider','Tag','Slider_alpha', ...
	'Units','normalized','Position',[0.4 0.61 0.3 0.075], ...
	'Value',1.5, 'Min',0.0, 'Max', 2.0, ...
	'Callback','fl_asmsynthesis_compute(''slider_alpha'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_alpha', ...
	'Units','normalized','Position',[0.79 0.61 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1.5', ...
	'Callback','fl_asmsynthesis_compute(''edit_alpha'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.05 0.48 0.23 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sample Size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.4 0.51 0.3 0.07], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'250 points', '500 points', '1000 points', '2000 points', '4000 points'}, ...
	'Value',3, ...
	'Callback','fl_asmsynthesis_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.79 0.5 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1000', ...
	'Callback','fl_asmsynthesis_compute(''edit_sample'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_parameter', ...
	'Units','normalized','Position',[0.05 0.375 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'Horizontalalignment','left', ...
	'String','Beta (Skewness)');

uicontrol('Parent',a,'Style','slider','Tag','Slider_parameter', ...
	'Units','normalized','Position',[0.4 0.39 0.3 0.075], ...
	'Value',0.0, 'Min', -1.0, 'Max', 1.0, ...
	'Callback','fl_asmsynthesis_compute(''slider_parameter'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_parameter', ...
	'Units','normalized','Position',[0.79 0.395 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','0.0', ...
	'Callback','fl_asmsynthesis_compute(''edit_parameter'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_cutoff', ...
	'Units','normalized','Position',[0.05 0.27 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Cut-off parameter','Enable','off');

uicontrol('Parent',a,'Style','edit','Tag','EditText_cutoff', ...
	'Units','normalized','Position',[0.395 0.29 0.12 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','','Enable','off', ...
	'Callback','fl_asmsynthesis_compute(''edit_cutoff'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_step', ...
	'Units','normalized','Position',[0.53 0.27 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','Discretization step','Enable','off');

uicontrol('Parent',a,'Style','edit','Tag','EditText_step', ...
	'Units','normalized','Position',[0.84 0.29 0.12 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','','Enable','off', ...
    'Callback','fl_asmsynthesis_compute(''edit_step'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_seed', ...
	'Units','normalized','Position',[0.05 0.17 0.26 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Random Seed');

uicontrol('Parent',a,'Style','edit','Tag','EditText_seed', ...
	'Units','normalized','Position',[0.395 0.19 0.12 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'Callback','fl_asmsynthesis_compute(''edit_seed'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.02 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ....
    'Callback','eval([''global '' fl_asmsynthesis_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.02 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
    'Callback','fl_asmsynthesis_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.02 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
    'Callback','fl_asmsynthesis_compute(''close'')');

fl_window_init(a);	
	
if nargout > 0, fig = a; end
