function fig = gui_fl_ebpsynthesis()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Modified by Christian Choque Cortez, June 2009

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure('Name','ebp Synthesis','Tag','Fig_gui_fl_ebpsynthesis', ...
	'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
	'Position',[20 50 300 250]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized','Position',[0.023 0.83 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input', ...
	'Units','normalized','Position',[0.023 0.21 0.96 0.6]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.06 0.84 0.9 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...	
	'String','Self Similar Embedded Branching Process');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_hurst', ...
	'Units','normalized','Position',[0.05 0.62 0.34 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Hurst parameter');
	
uicontrol('Parent',a,'Style','slider','Tag','Slider_hurst', ...
	'Units','normalized','Position',[0.4 0.64 0.3 0.08], ...
    'Value',0.5, ...
	'Callback','fl_ebpsynthesis_compute(''slider_hurst'')');
	
uicontrol('Parent',a,'Style','edit','Tag','EditText_hurst', ...
	'Units','normalized','Position',[0.79 0.64 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','0.5', ...
	'Callback','fl_ebpsynthesis_compute(''edit_hurst'');');

uicontrol('Parent',a,'Style','text','Tag','StaticText_maxvar', ...
	'Units','normalized','Position',[0.46 0.51 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Max variation','Enable','on');

uicontrol('Parent',a,'Style','edit','Tag','EditText_maxvar', ...
	'Units','normalized','Position',[0.79 0.525 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','', ...
	'Callback','fl_ebpsynthesis_compute(''edit_maxvar'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.05 0.38 0.27 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sample Size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.4 0.4 0.3 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points','2048 points','4096 points'}, ...
	'Value',8, ...
	'Callback','fl_ebpsynthesis_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.79 0.4 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'Callback','fl_ebpsynthesis_compute(''edit_sample'');', ...
	'String','1024');

uicontrol('Parent',a,'Style','text','Tag','StaticText_seed', ...
	'Units','normalized','Position',[0.05 0.25 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Random Seed');

uicontrol('Parent',a,'Style','edit','Tag','EditText_seed', ...
	'Units','normalized','Position',[0.4 0.27 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'Callback','fl_ebpsynthesis_compute(''edit_seed'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.06 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ....
    'Callback','eval([''global '' fl_ebpsynthesis_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.06 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
    'Callback','fl_ebpsynthesis_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.06 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
    'Callback','fl_ebpsynthesis_compute(''close'')');

fl_window_init(a);	
	
if nargout > 0, fig = a; end
