function fig = gui_fl_ifsbsynthesis()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Author Christian Choque Cortez, October 2009

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure( 'Name','ifsb Synthesis - stochastic','Tag','Fig_gui_fl_ifsbsynthesis',...
	'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
	'Position',[20 50 350 270]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized','Position',[0.023 0.83 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input', ...
	'Units','normalized','Position',[0.023 0.178 0.96 0.63]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.06 0.84 0.9 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
	'String','Iterated Function System based function Synthesis');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_interpoints', ...
	'Units','normalized','Position',[0.04 0.65 0.35 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Interpolation points');

uicontrol('Parent',a,'Style','text','Tag','StaticText_interpoints', ...
	'Units','normalized','Position',[0.04 0.6 0.35 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','(X,Y)');

uicontrol('Parent',a,'Style','edit','Tag','EditText_point1', ...
	'Units','normalized','Position',[0.36 0.62 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','0,0', ...
    'Callback','fl_ifsbsynthesis_compute(''edit_interpoint1'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_point2', ...
	'Units','normalized','Position',[0.585 0.62 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','0.5,1', ...
    'Callback','fl_ifsbsynthesis_compute(''edit_interpoint2'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_point3', ...
	'Units','normalized','Position',[0.81 0.62 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1,0', ...
    'Callback','fl_ifsbsynthesis_compute(''edit_interpoint3'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_contraction', ...
	'Units','normalized','Position',[0.04 0.49 0.45 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Contraction coefs (C1;C2)');

uicontrol('Parent',a,'Style','edit','Tag','EditText_contraction', ...
	'Units','normalized','Position',[0.81 0.5 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','0.5;0.9', ...
    'Callback','fl_ifsbsynthesis_compute(''edit_contraction'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.04 0.37 0.21 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sample Size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.36 0.39 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points','2048 points','4096 points'}, ...
	'Value',8, ...
    'Callback','fl_ifsbsynthesis_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.81 0.38 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1024', ...
    'Callback','fl_ifsbsynthesis_compute(''edit_sample'')');
    
uicontrol('Parent',a,'Style','text','Tag','StaticText_ratio', ...
	'Units','normalized','Position',[0.04 0.23 0.24 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Ratio');

uicontrol('Parent',a,'Style','edit','Tag','EditText_ratio', ...
	'Units','normalized','Position',[0.36 0.25 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String','1', ...
    'Callback','fl_ifsbsynthesis_compute(''edit_ratio'')');

uicontrol('Parent',a,'Style','checkbox','Tag','Checkbox_law', ...
	'Units','normalized','Position',[0.71 0.24 0.25 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','Normal law', ...
    'Value',0, ...
    'Callback','fl_ifsbsynthesis_compute(''check_law'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ...
    'Callback','eval([''global '' fl_ifsbsynthesis_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
	'Callback','fl_ifsbsynthesis_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
	'Callback','fl_ifsbsynthesis_compute(''close'')');

fl_window_init(a);	
	
if nargout > 0, fig = a; end
