function fig = gui_fl_mmssynthesis2d()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Author Christian Choque Cortez, October 2009

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure( 'Name','mms Synthesis 2D','Tag','Fig_gui_fl_mmssynthesis2d',...
    'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
    'Position',[20 50 300 270]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
    'Units','normalized','Position',[0.049 0.879 0.919 0.1]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_size_input', ...
    'Units','normalized','Position',[0.049 0.18 0.919 0.67]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
    'Units','normalized','Position',[0.06 0.89 0.9 0.07], ...
    'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
    'String','Pre-Multifractal Measure Synthesis - 2D');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_deterministic', ...
    'Units','normalized','Position',[0.08 0.75 0.4 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Deterministic', ...
    'Value',1, ...
    'Callback','fl_mmssynthesis2d_compute(''det_option'')');

uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_stochastic', ...
    'Units','normalized','Position',[0.45 0.75 0.35 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Stochastic', ...
    'Value',0, ...
    'Callback','fl_mmssynthesis2d_compute(''stoc_option'')');

uicontrol('Parent',a,'Style','popupmenu','Tag','Popupmenu_method', ...
    'Units','normalized','Position',[0.36 0.67 0.56 0.07], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String',{'Shuffled (micro-canonical)','Perturbated (canonical)', ...
              'Uniform (canonical)','Lognormal (canonical)'}, ...
    'Value',1,'Enable','off', ...
    'Callback','fl_mmssynthesis2d_compute(''popmenu_method'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_base', ...
    'Units','normalized','Position',[0.09 0.53 0.2 0.07], ...
    'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
    'String','Base (x,y)');

uicontrol('Parent',a,'Style','edit','Tag','EditText_base', ...
    'Units','normalized','Position',[0.3 0.55 0.17 0.07], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','[2 2]', ...
    'Callback','fl_mmssynthesis2d_compute(''edit_base'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_scales', ...
    'Units','normalized','Position',[0.55 0.53 0.22 0.07], ...
    'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
    'String','# Scales');

uicontrol('Parent',a,'Style','edit','Tag','EditText_scales', ...
    'Units','normalized','Position',[0.75 0.55 0.17 0.07], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','8', ...
    'Callback','fl_mmssynthesis2d_compute(''edit_scales'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
    'Units','normalized','Position',[0.3 0.42 0.27 0.07], ...
    'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
    'String','Matrix size');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
    'Units','normalized','Position',[0.6 0.43 0.32 0.07], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','256 x 256','Enable','inactive');

uicontrol('Parent',a,'Style','text','Tag','StaticText_weigths', ...
    'Units','normalized','Position',[0.09 0.3 0.2 0.07], ...
    'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
    'String','Weights');

uicontrol('Parent',a,'Style','edit','Tag','EditText_weigths', ...
    'Units','normalized','Position',[0.3 0.32 0.62 0.07], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','[0.1 0.2;0.3 0.4]', ...
    'Callback','fl_mmssynthesis2d_compute(''edit_weigths'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_parameter', ...
    'Units','normalized','Position',[0.37 0.2 0.37 0.07], ...
    'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
    'String','Perturbation','Enable','off');

uicontrol('Parent',a,'Style','edit','Tag','EditText_parameter', ...
    'Units','normalized','Position',[0.75 0.21 0.17 0.07], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','1','Enable','off', ...
    'Callback','fl_mmssynthesis2d_compute(''edit_parameter'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
    'Units','normalized','Position',[0.049 0.03 0.23 0.12], ...
    'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ...
    'Callback','eval([''global '' fl_mmssynthesis2d_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
    'Units','normalized','Position',[0.39 0.03 0.23 0.12], ...
    'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
    'Callback','fl_mmssynthesis2d_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
    'Units','normalized','Position',[0.735 0.03 0.23 0.12], ...
    'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
    'Callback','fl_mmssynthesis2d_compute(''close'')');

fl_window_init(a);	
	
if nargout > 0, fig = a; end